<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:define name="body">
        <s:decorate template="/patient/importPatientsTemplate.xhtml">
            <ui:param name="importerBean" value="#{pamPatientImporter}"/>
            <ui:define name="tableColumns">
                <g:column>
                    <f:facet name="header">#{messages['gazelle.simulator.pam.FirstName']}</f:facet>
                    <h:outputText value="#{patient.firstName}"/>
                    <h:outputText value=" (#{patient.alternateFirstName})"
                                  rendered="#{not empty patient.alternateFirstName}"/>
                </g:column>
                <g:column>
                    <f:facet name="header">#{messages['gazelle.simulator.pam.LastName']}</f:facet>
                    <h:outputText value="#{patient.lastName}"/>
                    <h:outputText value=" (#{patient.alternateLastName})"
                                  rendered="#{not empty patient.alternateLastName}"/>
                </g:column>
                <g:column>
                    <f:facet name="header">#{messages['gazelle.simulator.PatientGeneration.Gender']}</f:facet>
                    <h:outputText value="#{patient.genderCode}"/>
                </g:column>
                <g:column>
                    <f:facet name="header">#{messages['gazelle.simulator.PatientGeneration.DateOfBirth']}</f:facet>
                    <g:date value="#{patient.dateOfBirth}"/>
                </g:column>
            </ui:define>
            <ui:define name="additionalAttributes">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.Owner']}</ui:define>
                    <ui:param name="id" value="actorSelection"/>
                    <h:selectOneMenu value="#{pamPatientImporter.simulatedActor}"
                                     id="actorSelection" styleClass="form-control">
                        <s:selectItems value="#{actor.listAllActors()}"
                                       var="a" label="#{a.name}"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.pam.PleaseSelect']}"/>
                        <a4j:ajax event="change" render="actorSelection"></a4j:ajax>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_checkbox.xhtml">
                    <h:selectBooleanCheckbox value="#{pamPatientImporter.assignIdentifier}"/>
                    #{messages['net.ihe.gazelle.pam.AssignDefaultIdentifier']}
                </s:decorate>
                <s:decorate template="/layout/form/_checkbox.xhtml">
                    <h:selectBooleanCheckbox value="#{pamPatientImporter.computeDmetaphone}"/>
                    #{messages['net.ihe.gazelle.pam.ComputeDoubleMetaphone']}
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>